%def_with alsa
%def_with arts
%define qtdir %_libdir/qt3

Name: rosegarden
Version: 0.9.1
Release: alt0.6

Summary: MIDI and audio sequencer and musical notation editor
License: GPL
Group: Sound
Url: http://www.all-day-breakfast.com/rosegarden/index.html

Source: %name-4-%version.tar.bz2
Patch: %name-4-0.9.1-alt-makefile.patch

# icons from MDK
Source1: %name-16.xpm
Source2: %name-32.xpm
Source3: %name-48.xpm

BuildPreReq: python

# Automatically added by buildreq on Fri Jun 06 2003
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ jackit-devel kde-settings kdelibs-devel kdelibs-sound-devel kdemultimedia-arts kdemultimedia-devel ladspa_sdk libGLU libalsa2-devel libart_lgpl-devel libarts-devel libaudio-devel libaudiofile-devel libexpat libjpeg-devel liblcms liblrdf-devel libmad-devel libmng libogg-devel libpng-devel libqt3-devel libraptor libstdc++-devel libtiff-devel libvorbis-devel libxslt xml-utils zlib-devel

%description
Rosegarden-4 is the new development series of the Rosegarden MIDI and
audio sequencer and musical notation editor.

%package common
Summary: Common files for Rosegarden
Group: Sound

%description common
This package contains common files for Rosegarden

%package -n lib%name-alsa
Summary: Shared library for %name with ALSA support
Group: System/Libraries

%description -n lib%name-alsa
This package contains shared library required for %name-alsa to work.

%package -n lib%name-arts
Summary: Shared library for %name with aRts support
Group: System/Libraries

%description -n lib%name-arts
This package contains shared library required for %name-arts to work.

%package alsa
Summary: Rosegarden alsa version
Group: Sound
Requires: %name-common = %version-%release
Requires: lib%name-alsa = %version-%release
Requires: iiwusynth 

%description alsa
Rosegarden-4 is the new development series of the Rosegarden MIDI and
audio sequencer and musical notation editor. 

This is an pre-beta release of the application mainly intended for 
adventurous end users, developers and other interested parties.  It is
not yet really stable enough to even call beta quality so please bear
this in mind and keep an eye on the FAQ for known problems and workarounds:

    %url
 
This package provides Rosegarden-4 compiled for ALSA with JACK. 

%package arts
Summary: Rosegarden-4 arts version
Group: Sound
Requires: %name-common = %version-%release
Requires: lib%name-arts = %version-%release

%description arts
Rosegarden-4 is the new development series of the Rosegarden MIDI and
audio sequencer and musical notation editor.

This is an pre-beta release of the application mainly intended for 
adventurous end users, developers and other interested parties.  It is
not yet really stable enough to even call beta quality so please bear
this in mind and keep an eye on the FAQ for known problems and workarounds:

    %url

This package provides Rosegarden-4 compiled for aRts. However the
ALSA/JACK combination is the preferred and better supported combination.

%define customdocdir %_docdir/%name-%version

## %customdocdir/task_lists/tasks_rwb.txt 
## does not recognized as a text file (/usr/bin/file bug)

# this does not work
#%add_verify_elf_skiplist %customdocdir/*/*

# try
%add_strip_skiplist %customdocdir/*/*

%prep
%setup -q -c -n %name-4-%version

pushd %name-4-%version
%patch -p1
popd

%__subst 's,\"rosegardensequencer\",ROSEGARDEN_SEQUENCER_APP_NAME,' \
%name-4-%version/{gui/rosegardengui.cpp,sequencer/main.cpp}

# prepare docs
%__cp -r %name-4-%version/docs ./
%__cp %name-4-%version/{AUTHORS,ChangeLog,README,TODO} docs/
find docs -type f -name "Makefile*" -print0|xargs -r0 %__rm -f --
find docs -type d -empty -print0|xargs -r0 %__rm -rf --

# rename the unpacked %name directory to "alsa-build"
%__mv %name-4-%version alsa-build
# make a copy of this directory to "arts-buid"
%__cp -r alsa-build arts-build

pushd alsa-build
%__subst 's,\(ROSEGARDEN_SEQUENCER_APP_NAME .*rosegardensequencer\),\1-alsa,' gui/rosegardendcop.h
popd
pushd arts-build
%__subst 's,\(ROSEGARDEN_SEQUENCER_APP_NAME .*rosegardensequencer\),\1-arts,' gui/rosegardendcop.h
popd

%build
%define options --disable-rpath --with-qt-dir=%qtdir --with-ladspa
%undefine __libtoolize

%if_with alsa
pushd alsa-build
%make -f admin/Makefile.common
    %configure \
    %options \
    --with-jack \
    --program-suffix=-alsa

%make_build SOUND_SUFFIX=-alsa
popd
%endif

%if_with arts
pushd arts-build
%make -f admin/Makefile.common
    %configure \
    %options \
    --with-arts \
    --program-suffix=-arts

%make_build SOUND_SUFFIX=-arts
popd
%endif

%install
%if_with alsa
%makeinstall -C alsa-build
%endif
%if_with arts
%makeinstall -C arts-build
%endif

# menus
%__mkdir_p %buildroot%_menudir
%__cat <<__MENU__ > %buildroot%_menudir/%name
?package(%name-common): needs="x11" section="Multimedia/Sound/" \
title="Rosegarden" \
longtitle="MIDI and audio sequencer and musical notation editor" \
icon="%name.xpm"
__MENU__

%__cat <<__MENU_ALSA__ > %buildroot%_menudir/%name-alsa
?package(%name-alsa): needs="x11" section="Multimedia/Sound/Rosegarden" \
title="Rosegarden-4-alsa" longtitle="Rosegarden-4-alsa" \
command="%_bindir/rosegarden-alsa" icon="%name.xpm"
?package(%name-alsa): needs="x11" section="Multimedia/Sound/Rosegarden" \
title="Rosegarden-4-alsa (nosequencer)" longtitle="Rosegarden-4-alsa (nosequencer)" \
command="%_bindir/rosegarden-alsa --nosequencer" icon="%name.xpm"
__MENU_ALSA__

%__cat <<__MENU_ARTS__ > %buildroot%_menudir/%name-arts
?package(%name-arts): needs="x11" section="Multimedia/Sound/Rosegarden" \
title="Rosegarden-4-arts" longtitle="Rosegarden-4-arts" \
command="%_bindir/rosegarden-arts" icon="%name.xpm"
?package(%name-arts): needs="x11" section="Multimedia/Sound/Rosegarden" \
title="Rosegarden-4-arts (nosequencer)" longtitle="Rosegarden-4-arts (nosequencer)" \
command="%_bindir/rosegarden-arts --nosequencer" icon="%name.xpm"
__MENU_ARTS__

%__install -pD -m644 %SOURCE1 %buildroot%_miconsdir/%name.xpm
%__install -pD -m644 %SOURCE2 %buildroot%_iconsdir/%name.xpm
%__install -pD -m644 %SOURCE3 %buildroot%_liconsdir/%name.xpm

# docs
%__mkdir_p %buildroot%customdocdir
%__cp -r docs/* %buildroot%customdocdir/

%find_lang --output=%name.lang %name %{name}sequencer

%post common
%update_menus

%postun common
%clean_menus

%post -n lib%name-alsa -p %post_ldconfig
%postun -n lib%name-alsa -p %postun_ldconfig

%post -n lib%name-arts -p %post_ldconfig
%postun -n lib%name-arts -p %postun_ldconfig

%post alsa
%update_menus

%postun alsa
%clean_menus

%post arts
%update_menus

%postun arts
%clean_menus

%files common -f %name.lang
#%_datadir/applnk/*/*
%_datadir/apps/%name
%_iconsdir/*.xpm
%_iconsdir/*/*.xpm
%_iconsdir/*/*/*/*.xpm
%_menudir/%name
%_docdir/HTML/*/%name
%customdocdir

%files -n lib%name-alsa
%_libdir/*-alsa.so.*

%files -n lib%name-arts
%_libdir/*-arts.so.*

%if_with alsa
%files alsa
%_bindir/%name-alsa
%_bindir/%{name}sequencer-alsa
%_menudir/%name-alsa
%endif

%if_with arts
%files arts
%_bindir/%name-arts
%_bindir/%{name}sequencer-arts
%_menudir/%name-arts
%endif

%changelog
* Sat Sep 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.9.1-alt0.6
- try rebuild with hasher.

* Fri Jun 06 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.9.1-alt0.5
- 0.9.1

* Wed Apr 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.9-alt0.5
- 0.9

* Thu Mar 06 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.8.5-alt0.5
- First build for Sisyphus.

